<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Basic JS - HW 1 - Alert, Prompt, Confirm</title>
</head>
<body>
    <script>
        'use strict';

        let name = prompt('Enter your name');
        let age = prompt('Enter your age');
        let answer;

        for (;!name || isNaN(+age) || name.includes(age);) {
            name = prompt('Enter a valid name', name);
            age = +prompt('Enter a number', age);
        }

        while (age < 18) {
            alert(`You are not allowed to visit this website!`);
        } if (age >= 18 && age <= 22) {
            answer = confirm('Are you sure you want to continue?');
            if (answer) {
                alert('Welcome, ' + name);
            } else {
                alert('You are not allowed to visit this website!');
            }
        } else {
            alert('Welcome, ' + name);
        }

    </script>
</body>
</html>